| optoMDC

Loading...
Searching...
No Matches
optoMDC.mre2.MRE2Board Class Reference
Inheritance diagram for optoMDC.mre2.MRE2Board:

## Public Member Functions
| __init__ (self, str port=None, int baudrate=115200, bool comm_lock=True, float timeout=2, bool verbose=False, bool boot_in_simple=False, float inter_byte_timeout=0.2, bool simulated=False)

## Public Attributes
| Status = Registers.MRE2Status(board=self)
| VectorPatternMemory = Registers.VectorPatternMemory(board=self)
| TemperatureManager = Registers.MRE2TemperatureManager(board=self)
| MiscFeatures = Registers.MRE2MiscFeatures(board=self)
| ResonantAmplitudeControl = Registers.ResonantAmplitudeControl(board=self)
| SignalFlowManager = Registers.SignalFlowManager(board=self)
| Logger = Registers.Logger(board=self)
| Mirror = MRE2Mirror(board=self)
list | channel = [self.Mirror.Channel_0, self.Mirror.Channel_1]
| systems = Registers.systems()
| verbose

## Detailed Description

    Board object from which to issue MRE2 commands over a serial connection.

    Parameters
    ----------
    port, baudrate, comm_lock, timeout, verbose
        Standard serial connection parameters. Extended from Connection class.
    boot_in_simple: bool, optional = False
        Determines whether or not Board will be set in simple-mode after initialization.
    board_reset: bool, optional = False
        Determines whether or not to reset the Board during initialization.

    Raises
    ------
    none

    Notes
    -----
    Board extends Connection class. Refer to Connection for methods, parameters, etc.
    Board inherits Commands. Refer to Commands for methods, parameters, etc.

    Examples
    --------
    Instantiate a simple-mode Board with connection over COM12 port, with baud rate 9600. Then switch into pro-mode.
    This will not flush the firmware registers, so it is assumed to already be reset.

    >>> board = MRE2Board(port='COM12', baudrate=9600, verbose=True, simple=True)
    Establishing Connection via port [COM12]...
    Connected.
    Initializing Board in Simple Mode...
    Sending: b'~\x00\x06\x02\x00\x00\x00\x00~'
    Received: b''
    Verifying Simple via Handshake...
    Sending: b'Start\r\n'
    Received: b'NO\r\n'
    Handshake NOT Successful: UNKNOWN_ERROR_CODE.
    Sending: b'Start\r\n'
    Received: b'OK\r\n'
    Handshake Successful.
    Board Initialized in Simple Mode.
    Initialization Finalized. Board is Ready.
    >>> board.go_pro()
    Sending: b'GoPro\r\n'
    Received: b'OK\r\n'
    Go Pro Successful.

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.mre2.MRE2Board.__init__ | ( |  | self,
|  | str | port = None,
|  | int | baudrate = 115200,
|  | bool | comm_lock = True,
|  | float | timeout = 2,
|  | bool | verbose = False,
|  | bool | boot_in_simple = False,
|  | float | inter_byte_timeout = 0.2,
|  | bool | simulated = False )

## Member Data Documentation

## ◆ channel

list optoMDC.mre2.MRE2Board.channel = [self.Mirror.Channel_0, self.Mirror.Channel_1]

## ◆ Logger

optoMDC.mre2.MRE2Board.Logger = Registers.Logger(board=self)

## ◆ Mirror

optoMDC.mre2.MRE2Board.Mirror = MRE2Mirror(board=self)

## ◆ MiscFeatures

optoMDC.mre2.MRE2Board.MiscFeatures = Registers.MRE2MiscFeatures(board=self)

## ◆ ResonantAmplitudeControl

optoMDC.mre2.MRE2Board.ResonantAmplitudeControl = Registers.ResonantAmplitudeControl(board=self)

## ◆ SignalFlowManager

optoMDC.mre2.MRE2Board.SignalFlowManager = Registers.SignalFlowManager(board=self)

## ◆ Status

optoMDC.mre2.MRE2Board.Status = Registers.MRE2Status(board=self)

## ◆ systems

optoMDC.mre2.MRE2Board.systems = Registers.systems()

## ◆ TemperatureManager

optoMDC.mre2.MRE2Board.TemperatureManager = Registers.MRE2TemperatureManager(board=self)

## ◆ VectorPatternMemory

optoMDC.mre2.MRE2Board.VectorPatternMemory = Registers.VectorPatternMemory(board=self)

## ◆ verbose

optoMDC.mre2.MRE2Board.verbose

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/mre2.py